Bug 166143 - pygtk2 should be compiled with Numeric Python support
pygtk2 should be compiled with Numeric Python support
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 07:38 EDT by Nils Philippsen
Modified: 2013-03-13 00:48 EDT (History)
2 users (show)

See Also:
Fixed In Version: FC4-update, RAWHIDE
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-22 17:11:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2005-08-17 07:38:19 EDT
... so that I can use gtk.gdk.Pixbuf.get_pixels_array() to modify gdk_pixbuf
images from python. Pretty please? ;-)
Comment 1 Nils Philippsen 2005-08-21 09:40:54 EDT
Dug a little further -- the spec file uses "--enable-numpy" but doesn't
"BuildRequires: python-numeric" so configure won't build with it.

Want me to fix and rebuild?
Comment 2 Stephen Walton 2005-09-22 16:33:31 EDT
This is a Terrible Idea, IMHO, although I see it is now part of the current
pygtk2 update.  First of all, python-numeric is at version 23.7 of Numeric while
the current version is 23.8.  I can't install 23.8 on a new system without doing
something like "rpm -e --force python-numeric" and installing my local version
of 23.8, in which case who knows what happens?  Second, the Numeric package is
about to replaced altogether by the new Python array type.  See 

http://www.scipy.org/wikis/scipy05/abstracts/ArrayObject

for more information.
Comment 3 John (J5) Palmieri 2005-09-22 17:11:22 EDT
* When pygtk switches to using ArrayObject then we will move to that.  

* Why don't you file a bug against python-numeric so it gets updated to the
latest version?
Comment 4 Nils Philippsen 2005-09-22 17:29:54 EDT
Seconded, python-numeric support is needed for certain functionality in pygtk
(e.g. to manipulate in memory images). Frankly, what lies behind that
functionality doesn't matter much to me, as long as it's there.

Note You need to log in before you can comment on or make changes to this bug.